Subject: Re: Non RFC compliant news URLS.
From: Colin Smith <[email-masked]>
Date: Thu, 08 Jun 2000 13:27:06 +0100
Newsgroups: comp.infosystems.harvest

Kang-Jin Lee wrote:

[snip]

> This is an interesting question. I never thought of this case and would like
> to take a look at the modifications you made.

Mod to newsenum.c in the gatherer (diff -c):

*** ./harvest-1.6.1/src/gatherer/enumerate/newsenum.c.backup Wed Apr 12 12:25:50 2000
--- ./harvest-1.6.1/src/gatherer/enumerate/newsenum.c Wed Apr 12 12:25:24 2000
***************
*** 255,261 ****
   Log("News Path: %s\n", news_path);
  #endif

!  sprintf(newurl, "news:%s\n", news_path);
   add_buffer(b, newurl, strlen(newurl));
   if (news_path)
       xfree(news_path);
--- 255,261 ----
   Log("News Path: %s\n", news_path);
  #endif

!  sprintf(newurl, "news://%s/%s\n", getenv("NNTPSERVER"), news_path);
   add_buffer(b, newurl, strlen(newurl));
   if (news_path)
       xfree(news_path);

I'll try to find the other modifications I made.

>Finally, the Glimpse license. I think I'm going to have to use a different search

> >engine. Any suggestions?
>
> I am still looking for a suitable replacement for Glimpse, too.
> I have briefly checked following:
>
> - Swish++: seems to be too language dependent
> - Isite:   needs much work
> - Zebra:   my favourite, but not free

What about the WAIS search engine. Is that any good?

--
Colin Smith                            Mobile: +44 (0)7788 926 934
European Unix systems administrator    Phone: +44 (0)1256 790 261
Personal Communications Sector Europe  Fax: +44 (0)1256 817 481
Midpoint, Alençon link, Basingstoke    http://euro.css.mot.com/
Hampshire, RG21 7PL, United Kingdom    mailto:[email-masked]